{{ define "header"}}
    <div class="title-bar">
        <div class="title">Downloads</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="tabs">
        <a class="tab" href="downloads">Downloads</a>
        <div class="tab active">Files</div>
    </div>

    <div class="files">
        <div class="file-actions">
            <form id="update-episodes" action="files/update" method="post" hidden></form>
            <button class="btn primary" type="submit" form="update-episodes" onclick="event.stopPropagation();">
                Update
            </button>
        </div>


        {{ range . }}
            <em-file class="card card-1 file" file-id="{{.Folder}}_{{.Name}}">
                <div class="info">{{.Folder}}/{{.Name}}</div>
                <div class="actions">
                    <form id="move-{{.Folder}}_{{.Name}}" action="files/{{.Folder}}/{{.Name}}/move" method="post" hidden></form>
                    <button class="icon" type="submit" form="move-{{.Folder}}_{{.Name}}" onclick="event.stopPropagation();">
                        <svg>
                            <use xlink:href="assets/img/regular.svg#arrow-alt-circle-right"></use>
                        </svg>
                    </button>
                    <form id="delete-{{.Folder}}_{{.Name}}" action="files/{{.Folder}}/{{.Name}}/delete" method="post" hidden></form>
                    <button class="icon" type="submit" form="delete-{{.Folder}}_{{.Name}}" onclick="event.stopPropagation();">
                        <svg>
                            <use xlink:href="assets/img/regular.svg#times-circle"></use>
                        </svg>
                    </button>
                </div>
            </em-file>
        {{end}}
        {{if not .}}
            <div class="not-found">currently no files</div>
        {{end}}
    </div>
{{end}}